C******************** START FILE FDCODE.FOR ; GROUP URDUTS *************
C==========================================================
C&  FDCODE - UREAD DECODE CHARACTER TO REAL - OBSCELESCENT
C
C  DECODE E10.0 INPUT IN UNPACKED BUFFER
C  REV D. MC CUNE 3-JUN-80 ... CHECK FOR ILLEGAL CHARACTERS
C
      REAL FUNCTION FDCODE(ZBUFF,IER)
C
C  REVISED D. MC CUNE JULY 14 1980  ADD ERROR CODE
C   IER=0 DENOTES SUCCESSFUL DECODING OF E10 FORMAT
C     IER=1 DENOTES DETECTION OF ILLEGAL CHARACTER OR FORMAT
C      FCN VALUE OF 0.0 RETURNED
C
C  *** DMC JAN 1985 *** ZBUFF ARGUMENT NOT USED
C   FDCODE ROUTINE OBSCELESCENT, MAINTAINED FOR HISTORIC
C   COMPATIBILITY.  UFDCOD DOES THE WORK NOW.
C
      INCLUDE 'USERIO'
C
      CHARACTER*1 ZBUFF(4)  ! not used anymore
C
C----------------------------------------------------------
C
      Z=UFDCOD(CBUFF,IC,ID,ICOD)
C
      IF(ICOD.EQ.-1) THEN
        IER=0
        FDCODE=0.0
      ELSE IF(ICOD.EQ.0) THEN
        IER=0
        FDCODE=Z
      ELSE
        GO TO 900
      ENDIF
C  SUCCESSFULLY DECODED
      CALL UROTOR(ID)
      RETURN
C  ERROR
 900  CONTINUE
      FDCODE=0.0
      IER=1
      CALL UERMSG(' % FDCODE:  NOT FLOATING POINT:',
     >     CBUFF(1:ID),0)
      IF(NLINDI) CALL UPAUST(1)
      RETURN
      	END
C******************** END FILE FDCODE.FOR ; GROUP URDUTS ***************
